Doomsday Engine - Feature #1643

Windows installer using WiX Toolset
2013-10-27 08:18 - skyjake

Status: Closed Start date: 2013-10-27
Priority: Low % Done: 100%
Assignee: skyjake

Category: Redesign

Target version: 2.0 — Home Ul & Packages

Description

Doomsday's Windows installer is currently based on Inno Setup. However, WiX Toolset would enable a better installer with

modularization and integration with Windows' native installation system.

There is an old work branch for this (replacing-innosetup-with-wixtoolset).

Related issues:
Related to Feature #1877: [Updater] Use Sparkle for automatic updates (on OS X) New
Related to Feature #1887: Migrate project build system to CMake 3 Closed

2014-10-14
2014-10-20

Associated revisions

Revision €32333d5 - 2016-11-20 21:58 - skyjake

Windowsl|Installer: New Ul images and minor tweaks in the MSI installer

IssuelD #1643

History

#1 - 2014-10-15 17:57 - skyjake
- Related to Feature #1877: [Updater] Use Sparkle for automatic updates (on OS X) added

#2 - 2014-10-20 15:36 - skyjake
- Related to Feature #1887: Migrate project build system to CMake 3 added

#3 - 2015-03-01 15:05 - skyjake

- Status changed from New to In Progress
- Assignee set to skyjake

- Target version set to 42

- % Done changed from 0 to 50

#4 - 2015-03-01 15:08 - skyjake

CMake supports WiX, so unless significant customization is required, we can switch to an .msi installer quite easily.

#5 - 2015-03-21 22:43 - skyjake
- % Done changed from 50 to 70

#6 - 2015-04-22 04:26 - danij
- Target version deleted (42)

#7 - 2015-05-03 19:23 - skyjake
- % Done changed from 70 to 90

cmake-build can package a WiX installer. The only thing missing is to fine-tune it and tweak the metadata and appearance of the installer.

#8 - 2015-05-03 19:33 - skyjake

- Target version set to 2.0 — Home Ul & Packages

2024-04-20
http://wixtoolset.org
http://sourceforge.net/p/deng/code/ci/replacing-innosetup-with-wixtoolset/tree/

#9 - 2016-07-06 00:02 - skyjake

- Status changed from In Progress to Progressed

#10 - 2016-08-07 09:01 - skyjake

- Priority changed from Normal to Low

#11 - 2016-11-21 13:58 - skyjake
- Status changed from Progressed to In Progress

- % Done changed from 90 to 100

#12 - 2016-11-21 13:58 - skyjake

- Status changed from In Progress to Closed
